package com.androidhuman.example.SimpleWidget2;

import android.app.PendingIntent;
import android.appwidget.AppWidgetManager;
import android.appwidget.AppWidgetProvider;
import android.content.Context;
import android.content.Intent;
import android.widget.RemoteViews;

public class MySimpleWidget extends AppWidgetProvider {

	@Override
	public void onUpdate(Context context, AppWidgetManager appWidgetManager, int[] appWidgetIds){
        final int N = appWidgetIds.length;

        for (int i=0; i<N; i++) {
            int appWidgetId = appWidgetIds[i];
            RemoteViews views = buildViews(context);
            appWidgetManager.updateAppWidget(appWidgetId, views);
        }
	}
	
	private PendingIntent buildActivityIntent(Context context){
		Intent intent = new Intent(context, SimpleActivity.class);
		PendingIntent pi = PendingIntent.getActivity(context, 0, intent, Intent.FLAG_ACTIVITY_NEW_TASK);
		return pi;
	}
	
	private RemoteViews buildViews(Context context){
		RemoteViews views = new RemoteViews(context.getPackageName(), R.layout.simple_widget_layout);
        views.setOnClickPendingIntent(R.id.simple_widget_layout_activity, buildActivityIntent(context));
		return views;
	}

}
